from django.conf.urls.defaults import *

urlpatterns = patterns('monitoring.views',
    url(r'^notifications.json$', 'notifications_json', name='monitoring_notifications_json'),
    
    url(r'^subscriptions.json$', 'subscriptions_json', name='monitoring_subscriptions_json'),
    url(r'^subscriptions/unsubscribe$', 'subscriptions_unsubscribe', name='monitoring_subscriptions_unsubscribe'),
    
    url(r'^rules.json$', 'rules_json', name='monitoring_rules_json'),
    url(r'^rules/create$', 'rules_create', name='monitoring_rules_create'),
    url(r'^rules/subscribe$', 'rules_subscribe', name='monitoring_rules_subscribe'),
    url(r'^rules/unsubscribe$', 'rules_unsubscribe', name='monitoring_rules_unsubscribe'),
    
    url(r'^resources.json$', 'resources_json', name='monitoring_resources_json'),
    
    url(r'^vos.json$', 'vos_json', name='monitoring_vos_json'),
    url(r'^users.json$', 'users_json', name='monitoring_users_json'),
)
