StoreReloadField = Ext.extend(Ext.form.DisplayField, {
    store: null,
    text: 'reload',
    style: 'margin-top: 3px',
    
    initComponent: function(config){
        Ext.apply(this, config);
        
		this.value = '<a href="#" onclick="return false">' + this.text + '</a>'
		
		this.on('render', function(o){
			o.getEl().on('click', function(){
				o.store.reload();
			});
		});
        
        StoreReloadField.superclass.initComponent.call(this);
    }
});

Ext.reg('storereloadfield', StoreReloadField);

ComboBoxEmpty = Ext.extend(Ext.form.ComboBox, {
    emptyText: '',
    editable: false,
    forceSelection: true,
	
	initComponent: function(config){
	    Ext.apply(this, config);
	    
	    this.tpl = new Ext.XTemplate('<tpl for="."><div class="x-combo-list-item">{', this.displayField, ':this.blank}</div></tpl>', {
			blank: function(value){
				return value === '' ? '&nbsp' : value;
			}
		})
	    
	    ComboBoxEmpty.superclass.initComponent.call(this);
	}
});

Ext.reg('comboempty', ComboBoxEmpty);

var qtipRenderer = function(v){
	return '<div ext:qtip="' + v + '">' + v + '</div>';
};

var waitDuration = function(msg, duration){
	if(duration == undefined){
		duration = 2000;
	}
	
	var wait = Ext.Msg.wait(msg, null, { interval: 250 });
	
	setTimeout(function(){
		wait.hide();
	}, duration);
};