from django.conf.urls.defaults import *

urlpatterns = patterns('dixi.views',
    # nodes
    url(r'^nodes/list$', 'nodes', name='dixi_nodes'),
    url(r'^nodes/location/save$', 'nodes_location_save', name='dixi_nodes_location_save'),
    url(r'^nodes/location$', 'nodes_location', name='dixi_nodes_location'),
    # services
    url(r'^services/list/combo$', 'services_combo', name='dixi_services_combo'),
    url(r'^services/(?P<node_id>\w+)/list$', 'services'),
    url(r'^services/list$', 'services', name='dixi_services'),
    # actions
    url(r'^services/info$', 'services_info', name='dixi_services_info'),
    url(r'^services/start$', 'services_start', name='dixi_services_start'),
    url(r'^services/stop$', 'services_stop', name='dixi_services_stop'),
    url(r'^services/restart$', 'services_restart', name='dixi_services_restart'),
)
