from django.conf.urls.defaults import *
from django.conf import settings

urlpatterns = patterns('',
    url(r'^monitoring/', include('monitoring.urls')),
    url(r'^auditing/', include('auditing.urls')),
    url(r'^vops/', include('vops.urls')),
    url(r'^dixi/', include('dixi.urls')),
    url(r'^', include('common.urls')),
)

if settings.DEBUG:
    urlpatterns += patterns('',
        url(r'^static/(?P<path>.*)$', 'django.views.static.serve', 
            {'document_root': settings.MEDIA_ROOT, 'show_indexes': True}
        ),
    )
